/* -------------------------------------------------------------------------- */
/* -                 Astronomical CCD Camera Control                        - */
/* -                        ASI Camera Protocol                             - */
/* -------------------------------------------------------------------------- */
/*                                                                            */
/* Copyright 2021 John Kielkopf                                               */
/* kielkopf@louisville.edu                                                    */
/*                                                                            */
/* This file is part of XmCCD.                                                */
/*                                                                            */
/* Version 1.0 - 2021-01-26                                                   */
/*                                                                            */
/* For use with XmCCD and the XPA driver                                      */
/*                                                                            */
/* -------------------------------------------------------------------------- */

#include <ASICamera2.h>
#include <asiwrap.h>

/* Select USB device as ASI camera ID to use by default */
/* ASI numbers cameras on the USB system starting at camera ID 0 */

#define USB     0


/* Device status flags */

#define IDLE 0
#define INTEGRATING 1
#define COMPLETE 2

/* Shutter flag */

#define LEAVE    0
#define OPEN     1
#define CLOSED   2

/* Frame type */

#define DARK     0     
#define LIGHT    1
#define BIAS     2  
#define FLAT     3  

